Subject: [alpine-aports] [PATCH v2] testing/perl-par-packer: new aport

From: Stuart Cardall <[email-masked]>
Date: Mon, 14 Dec 2015 15:25:13 +0000

---
This should have built ok before if perl-par && perl-par-dist were available.

Adds 2 extra $makedepends

 testing/perl-par-packer/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/perl-par-packer/APKBUILD

diff --git a/testing/perl-par-packer/APKBUILD b/testing/perl-par-packer/APKBUILD
new file mode 100644
index 0000000..affb574
--- /dev/null
+++ b/testing/perl-par-packer/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=perl-par-packer
+pkgver=1.028
+_realname=PAR-Packer-$pkgver
+pkgrel=0
+pkgdesc="App::Packer::Backend interface, for generating stand-alone executables, perl scripts and PAR files"
+url="http://search.cpan.org/dist/Par-Packer/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends perl-archive-zip perl-par perl-par-dist perl-module-scandeps perl-getopt-argvfile"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RS/RSCHUPP/$_realname.tar.gz"
+
+_builddir="$srcdir"/$_realname
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="8fe37f242f6633558266b3575c5e200e  PAR-Packer-1.028.tar.gz"
+sha256sums="a6276a88910eefeac08aa7c3afeea9005495ea0cc2230818df513ecec756473e  PAR-Packer-1.028.tar.gz"
+sha512sums="245de0f5fcef082e21c39bd8e0ba1e77259a3ea80f29fe56613f5b97575e1c097b45662c163e15522ab7c5c74b8ad0204d6544a2d17258450738c8ef81e790a8  PAR-Packer-1.028.tar.gz"
-- 
2.6.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Wed, 16 Dec 2015 14:45:24 +0100

On Mon, 14 Dec 2015 15:25:13 +0000

> Adds 2 extra $makedepends

It still don't build.

>>> perl-par-packer: Unpacking /var/cache/distfiles/PAR-Packer-1.028.tar.gz...
Checking if your kit is complete...
Looks good
Prototype mismatch: sub main::prompt: none vs ($;$) at /usr/share/perl5/core_perl/ExtUtils/MakeMaker.pm line 228.
Generating a Unix-style Makefile
Writing Makefile for myldr
Writing MYMETA.yml and MYMETA.json
Generating a Unix-style Makefile
Writing Makefile for PAR::Packer
Writing MYMETA.yml and MYMETA.json
make[1]: Entering directory '/home/ncopa/aports/testing/perl-par-packer/src/PAR-Packer-1.028/myldr'
Makefile:755: warning: overriding recipe for target '.c.o'
Makefile:337: warning: ignoring old recipe for target '.c.o'
"/usr/bin/perl" par_pl2c.pl my_par_pl < ../script/par.pl > my_par_pl.c 
"/usr/bin/perl" sha1.c.PL
Can't locate PAR/Filter/PodStrip.pm in @INC (you may need to install the PAR::Filter::PodStrip module) (@INC contains: /home/ncopa/aports/testing/perl-par-packer/src/PAR-Packer-1.028/myldr/../blib/arch /home/ncopa/aports/testing/perl-par-packer/src/PAR-Packer-1.028/myldr/../blib/lib /usr/local/lib/perl5/site_perl /usr/local/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at par_pl2c.pl line 7.
BEGIN failed--compilation aborted at par_pl2c.pl line 7.
Makefile:779: recipe for target 'my_par_pl.c' failed
make[1]: *** [my_par_pl.c] Error 2
make[1]: *** Waiting for unfinished jobs....
cp script/pp blib/script/pp
cp script/par.pl blib/script/par.pl
cp script/tkpp blib/script/tkpp
"/usr/bin/perl" "-Iinc" -MExtUtils::MY -e 'MY->fixin(shift)' -- blib/script/pp
"/usr/bin/perl" "-Iinc" -MExtUtils::MY -e 'MY->fixin(shift)' -- blib/script/par.pl
"/usr/bin/perl" "-Iinc" -MExtUtils::MY -e 'MY->fixin(shift)' -- blib/script/tkpp
make[1]: Leaving directory '/home/ncopa/aports/testing/perl-par-packer/src/PAR-Packer-1.028/myldr'
Makefile:600: recipe for target 'subdirs' failed
make: *** [subdirs] Error 2
make: *** Waiting for unfinished jobs....
cp lib/PAR/Filter.pm blib/lib/PAR/Filter.pm
cp lib/App/Packer/PAR.pm blib/lib/App/Packer/PAR.pm
cp lib/PAR/Filter/Obfuscate.pm blib/lib/PAR/Filter/Obfuscate.pm
cp lib/PAR/Filter/Bytecode.pm blib/lib/PAR/Filter/Bytecode.pm
cp lib/PAR/Packer.pm blib/lib/PAR/Packer.pm
cp lib/PAR/StrippedPARL/Base.pm blib/lib/PAR/StrippedPARL/Base.pm
cp lib/PAR/Filter/PatchContent.pm blib/lib/PAR/Filter/PatchContent.pm
cp lib/PAR/Filter/Bleach.pm blib/lib/PAR/Filter/Bleach.pm
cp lib/PAR/Filter/PodStrip.pm blib/lib/PAR/Filter/PodStrip.pm
cp lib/pp.pm blib/lib/pp.pm
>>> ERROR: perl-par-packer: all failed

-nc

---

---

From: IT Developer <[email-masked]>
Date: Wed, 16 Dec 2015 17:47:57 +0000

PAR::Filter::PodStrip is part of the perl-par-packer module itself:

http://search.cpan.org/~rschupp/PAR-Packer-1.028/lib/PAR/Filter/PodStrip.pm
<http://search.cpan.org/%7Erschupp/PAR-Packer-1.028/lib/PAR/Filter/PodStrip.pm>

In your build environment PodStrip.pm does not get copied in the build process. In my build environment without any Perl at all it is copied after MYMETA.json is written:

http://pastebin.com/raw/3Ni7TFbP

Stuart.

---

From: Natanael Copa <[email-masked]>
Date: Thu, 17 Dec 2015 09:47:53 +0100

On Wed, 16 Dec 2015 17:47:57 +0000

> http://pastebin.com/raw/3Ni7TFbP

Then we need fix the APKBUILD so that it is copied in every build
enviroment. It smells like a parallel install issue or similar.

-nc

---